<?php
if ( !function_exists( 'add_action' ) ) {
    echo 'Code is poetry.';
    exit;
}

function WRSP_options() { 
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) { ?>
<div class="wrprojectStyle">
    <div class="wrap projectStyle">
	<h2><?php echo __("WooCommerce Rich Snippets","WRSP-lang") ?> - <a href="#help"><?php echo _e("Help"); ?></a><div style="display:inline-block;margin-left: 24rem;"> <div style="margin-bottom: -12px;" class="wrapperDoYouLike"> <input type="checkbox" id="st1" value="1"> <label for="st1"></label> <input type="checkbox" id="st2" value="2"> <label for="st2"></label> <input type="checkbox" id="st3" value="3"> <label for="st3"></label> <input type="checkbox" id="st4" value="4"> <label for="st4"></label> <input type="checkbox" id="st5" value="5"> <label for="st5"></label> </div> <a target="_blank" href="https://codecanyon.net/item/woocommerce-rich-snippets-schema-markup-plugin/reviews/21810280" class="sabutton button button-primary" style="margin: 3px 0 0 22px;">Rate this plugin!</a> </div></h2>
	<form action="options.php" method="post" style="margin-top:50px">
		<div id="whiteboxH" class="postbox" style="width:98.7%">
		<div class="inside">
        <?php settings_fields("WRSP_admin_settings") ?>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><label for="WRSP_check_enable"><?php echo __("Product Markup","WRSP-lang") ?></label></th>
                    <td>
					<label class="button-toggle-wrap">
					  <input <?php if( get_option("WRSP_check_enable") == 1) {echo 'checked="checked"';} ?> value="1" name="WRSP_check_enable" class="toggler" type="checkbox" data-toggle="button-toggle"/>
					  <div class="button-toggle">
						<div class="handle">
						  <div class="bars"></div>
						</div>
					  </div>
					</label>
					<p class="description" ><?php echo __("Add markup to your product pages. You can make settings on any product page.","WRSP-lang") ?> - <a href="#help"><?php echo _e("Help"); ?></p>
                    </td>
                </tr>                
				
				<tr valign="top">
                    <th scope="row"><label for="WRSP_check_organization"><?php echo __("Organization Snippet","WRSP-lang") ?></label></th>
                    <td>
					<label class="button-toggle-wrap">
					  <input <?php if( get_option("WRSP_check_organization") == 1) {echo 'checked="checked"';} ?> value="1" name="WRSP_check_organization" class="toggler" type="checkbox" data-toggle="button-toggle"/>
					  <div class="button-toggle">
						<div class="handle">
						  <div class="bars"></div>
						</div>
					  </div>
					</label>
					<p class="description" ><?php echo __("Add schema.org Organization markup to your Main / Home Page.","WRSP-lang") ?> - <a href="#help"><?php echo _e("Help"); ?></p>
                    </td>
                </tr>				
				
				<tr valign="top">
                    <th scope="row"><label for="WRSP_enab_local"><?php echo __("Local Business","WRSP-lang") ?></label></th>
                    <td>
					<label class="button-toggle-wrap">
					  <input <?php if( get_option("WRSP_enab_local") == 1) {echo 'checked="checked"';} ?> value="1" name="WRSP_enab_local" class="toggler" type="checkbox" data-toggle="button-toggle"/>
					  <div class="button-toggle">
						<div class="handle">
						  <div class="bars"></div>
						</div>
					  </div>
					</label>
					<p class="description" ><?php echo __("Add schema.org Local Business markup to your Main / Home Page. More...","WRSP-lang") ?> - <a href="#help"><?php echo _e("Help"); ?></p>
                    </td>
                </tr>				
				
				<tr valign="top">
                    <th scope="row"><label for="WRSP_enab_reviews"><?php echo __("Other Settings","WRSP-lang") ?></label></th>
                    <td>
					<label class="button-toggle-wrap">
					  <input <?php if( get_option("WRSP_enab_reviews") == 1) {echo 'checked="checked"';} ?> value="1" name="WRSP_enab_reviews" class="toggler" type="checkbox" data-toggle="button-toggle"/>
					  <div class="button-toggle">
						<div class="handle">
						  <div class="bars"></div>
						</div>
					  </div>
					</label>
					<p class="description" ><?php echo __("Disable Rating Markups (Review Snippet).","WRSP-lang") ?></p>
                    </td>
                </tr>
				
				
				<tr valign="top">
                    <th scope="row"></th>
                    <td>
					<label class="button-toggle-wrap">
					  <input <?php if( get_option("WRSP_enab_alttag") == 1) {echo 'checked="checked"';} ?> value="1" name="WRSP_enab_alttag" class="toggler" type="checkbox" data-toggle="button-toggle"/>
					  <div class="button-toggle">
						<div class="handle">
						  <div class="bars"></div>
						</div>
					  </div>
					</label>
					<p class="description" ><?php echo __("Enable Auto ALT tags for the Product Images.","WRSP-lang") ?></p>
                    </td>
                </tr>				
				
				</table>
				<div><?php submit_button(); ?></div>
			</div>
			</div>
			
		<div id="whiteboxH" class="postbox" style="width:98.7%">	
			<div id="help" class="inside">
			<p class="wrsrToggleClick" style="margin-top:0px; color:#0064ff;cursor:pointer;font-size:22px;font-weight:bold"><i class="dashicons dashicons-admin-generic" style=" font-size: 25px; margin-right: 5px; margin-top: 5px; "></i> <u><?php echo __('Help', 'WRSP-lang'); ?></u></p>
			</div>
		<div style="display:none;" class="inside wrsrToggleSection">
			
			<div style="width: 33%;height:auto;float:left;">
			<div class="inside">
			<table class="form-table">
			<img style="width: 100%; height:auto;"src="<?php echo WRSP_URL.'/admin/assets/img/products-imagesearch.png'; ?>"/>
			<h3 style="margin-top:30px"><span><?php echo __("Product Markup","WRSP-lang") ?></span></h3>
			
			<p style='font-size:13px'><?php echo __("Add markup to your product pages so Google can provide detailed product information in rich Search results - including Image Search. Users can see price, availability, and review ratings right on Search results.","WRSP-lang") ?></p>
			<p style='font-size:13px'><?php echo __("Using markup to enable rich product results lets you attract potential buyers while they are searching for items to buy on Google or images that include products you sell. Maintain the accuracy and freshness of your product information, so your customers find the relevant, current items they're looking for.","WRSP-lang") ?></p><a target="_blank" href="https://developers.google.com/search/docs/data-types/product">More...</a>
			</table>
			</div>
			</div>			
			
			<div style="width: 33%;height:auto;float:left;">
			<div class="inside">
			<table class="form-table">
			<img style="width: 100%; height:auto;"src="<?php echo WRSP_URL.'/admin/assets/img/enhance-site02-contacts.png'; ?>"/>
			<h3 style="margin-top:30px"><span><?php echo __("Organization Markup","WRSP-lang") ?></span></h3>
			
			<p style='font-size:13px'><?php echo __("You can enhance the appearance and coverage of your official website and presence in Search results by first establishing it with Google. By adding structured data markup to your site, you can enable more of your site's functional and visual elements to appear directly in results and in Knowledge Graph cards. This makes it easier for users to recognize your official site and reach information you provide more easily when they search.","WRSP-lang") ?></p>

			<p style='font-size:13px'><?php echo __("This document covers the following site attributes you can enable for search results:","WRSP-lang") ?></p>
			<p style='font-size:13px'><li><?php echo __("Business details like physical location and contact information","WRSP-lang") ?></li><li><?php echo __("Marketing details like your official name, logo, and social profile info","WRSP-lang") ?></li></p><p style='font-size:13px'><?php echo __("To do this, add schema.org Organization markup to your official website.","WRSP-lang") ?></p><a target="_blank" href="https://developers.google.com/search/docs/guides/enhance-site">More...</a>
			</table>
			</div>
			</div>			
			
			<div style="width: 33%;height:auto;float:left;margin-right:0;">
			<div class="inside">
			<table class="form-table">
			<img style="width: 50%; height:auto;"src="<?php echo WRSP_URL.'/admin/assets/img/local-business02.png'; ?>"/>
			<img style="width: 50%; height:auto;"src="<?php echo WRSP_URL.'/admin/assets/img/local-business01.png'; ?>"/>
			<h3 style="margin-top:30px"><span><?php echo __("Local Business","WRSP-lang") ?></span></h3>
			
			<p style="font-size:13px"><?php echo __("When users search for businesses on Google Search or Maps, Search results may display a prominent Knowledge Graph card with details about a business that matched the query. When users query for a type of business, such as a restaurant, they may see a carousel of listings hosted by restaurant listing providers.","WRSP-lang") ?></p><a target="_blank" href="https://developers.google.com/search/docs/data-types/local-business">More...</a>
			</table>
			</div>
			</div>
		</div>
		</div>
			
          </form>
</div>
</div>
    <?php
} else {
	echo '<div class="wrprojectStyle"> <div class="wrap projectStyle"><h2>Please activate the WooCommerce plugin.</h2></div></div>';
}
}

add_action("admin_init","WRSP_Admin_Reg");
function WRSP_Admin_Reg() {
	//
	register_setting("WRSP_admin_settings","WRSP_check_enable");
	register_setting("WRSP_admin_settings","WRSP_check_organization");
	register_setting("WRSP_admin_settings","WRSP_enab_local");
	register_setting("WRSP_admin_settings","WRSP_enab_alttag");
	register_setting("WRSP_admin_settings","WRSP_enab_reviews");
}