<?php
if ( !function_exists( 'add_action' ) ) {
    echo 'Code is poetry.';
    exit;
}

/*
* Menu Settings
*/
add_action( 'admin_menu', 'WRSP_menu' );

function WRSP_menu(){
	
    add_menu_page( __('WooCommerce Rich Snippets', 'WRSP-lang'), __('WooCommerce Rich Snippets', 'WRSP-lang'), 'administrator', 'WRSP_options', 'WRSP_options', "dashicons-cart" );
	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	add_submenu_page( 'WRSP_options', 'Dashboard &lsaquo; WooCommerce Rich Snippets', __( 'Dashboard', 'WRSP-lang' ), 'administrator', 'WRSP_options' );
	
	add_submenu_page( 'WRSP_options', 'Organization Markup &lsaquo; WP Ultimate Firewall', __( 'Organization Markup', 'WRSP-lang' ), 'administrator', 'WRSP_options_org', 'WRSP_options_org' );
	
	add_submenu_page( 'WRSP_options', 'Local Business Markup &lsaquo; WooCommerce Rich Snippets', __( 'Local Business Markup', 'WRSP-lang' ), 'administrator', 'WRSP_options_local', 'WRSP_options_local' );	
	
}
}


/*
* Call
*/
require WRSP_DIR . 'admin/admin.php';
require WRSP_DIR . 'admin/local.php';
require WRSP_DIR . 'admin/org.php';