<?php
if ( !function_exists( 'add_action' ) ) {
    echo 'Code is poetry.';
    exit;
}



function WRSP_options_local() {

    ?>
	<div class="wrprojectStyle">
    <div class="wrap projectStyle">
	<h2><?php echo __("Local Business Settings","WRSP-lang") ?></h2>
	<form action="options.php" method="post" style="margin-top:50px">
        <?php settings_fields("WRSP_local_settings") ?>	
			<?php if( get_option("WRSP_enab_local")  == 1 ) { ?>
				<div id="whiteboxH" style="width:64%" class="postbox">
					<div class="inside">
						<table class="form-table">
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_type"><?php echo __("Business Type","WRSP-lang") ?></label></th>
							<td>
							<label>
							<select style="width:40%;margin-top:5px;" name="WRSP_loc_type">
								<option value="5" <?php selected( get_option("WRSP_loc_type"), 5); ?>><?php echo __("Automotive Business","WRSP-lang") ?></option>
								<option value="9" <?php selected( get_option("WRSP_loc_type"), 9); ?>><?php echo __("Animal Shelter","WRSP-lang") ?></option>
								<option value="14" <?php selected( get_option("WRSP_loc_type"), 14); ?>><?php echo __("Archive Organization","WRSP-lang") ?></option>
								<option value="15" <?php selected( get_option("WRSP_loc_type"), 15); ?>><?php echo __("Child Care","WRSP-lang") ?></option>
								<option value="8" <?php selected( get_option("WRSP_loc_type"), 8); ?>><?php echo __("Dentist","WRSP-lang") ?></option>
								<option value="13" <?php selected( get_option("WRSP_loc_type"), 13); ?>><?php echo __("Dry Cleaning or Laundry","WRSP-lang") ?></option>
								<option value="16" <?php selected( get_option("WRSP_loc_type"), 16); ?>><?php echo __("Emergency Service","WRSP-lang") ?></option>
								<option value="17" <?php selected( get_option("WRSP_loc_type"), 17); ?>><?php echo __("Employment Agency","WRSP-lang") ?></option>
								<option value="18" <?php selected( get_option("WRSP_loc_type"), 18); ?>><?php echo __("Entertainment Business","WRSP-lang") ?></option>
								<option value="10" <?php selected( get_option("WRSP_loc_type"), 10); ?>><?php echo __("Financial Service (Bank etc.)","WRSP-lang") ?></option>
								<option value="6" <?php selected( get_option("WRSP_loc_type"), 6); ?>><?php echo __("Fitness Club","WRSP-lang") ?></option>
								<option value="4" <?php selected( get_option("WRSP_loc_type"), 4); ?>><?php echo __("Food Establishment","WRSP-lang") ?></option>
								<option value="20" <?php selected( get_option("WRSP_loc_type"), 20); ?>><?php echo __("Health and Beauty Business","WRSP-lang") ?></option>
								<option value="21" <?php selected( get_option("WRSP_loc_type"), 21); ?>><?php echo __("Home and Construction Business","WRSP-lang") ?></option>
								<option value="19" <?php selected( get_option("WRSP_loc_type"), 19); ?>><?php echo __("Government Office","WRSP-lang") ?></option>
								<option value="22" <?php selected( get_option("WRSP_loc_type"), 22); ?>><?php echo __("Internet Cafe","WRSP-lang") ?></option>
								<option value="23" <?php selected( get_option("WRSP_loc_type"), 23); ?>><?php echo __("Legal Service","WRSP-lang") ?></option>
								<option value="24" <?php selected( get_option("WRSP_loc_type"), 24); ?>><?php echo __("Library","WRSP-lang") ?></option>
								<option value="25" <?php selected( get_option("WRSP_loc_type"), 25); ?>><?php echo __("Lodging Business","WRSP-lang") ?></option>
								<option value="26" <?php selected( get_option("WRSP_loc_type"), 26); ?>><?php echo __("Medical Business","WRSP-lang") ?></option>
								<option value="27" <?php selected( get_option("WRSP_loc_type"), 27); ?>><?php echo __("Professional Service","WRSP-lang") ?></option>
								<option value="28" <?php selected( get_option("WRSP_loc_type"), 28); ?>><?php echo __("Radio Station","WRSP-lang") ?></option>
								<option value="29" <?php selected( get_option("WRSP_loc_type"), 29); ?>><?php echo __("Recycling Center","WRSP-lang") ?></option>
								<option value="12" <?php selected( get_option("WRSP_loc_type"), 12); ?>><?php echo __("Real Estate Agent","WRSP-lang") ?></option>
								<option value="2" <?php selected( get_option("WRSP_loc_type"), 2); ?>><?php echo __("Restaurant","WRSP-lang") ?></option>
								<option value="30" <?php selected( get_option("WRSP_loc_type"), 30); ?>><?php echo __("Self Storage","WRSP-lang") ?></option>
								<option value="7" <?php selected( get_option("WRSP_loc_type"), 7); ?>><?php echo __("Service","WRSP-lang") ?></option>
								<option value="3" <?php selected( get_option("WRSP_loc_type"), 3); ?>><?php echo __("Shopping Center","WRSP-lang") ?></option>
								<option value="31" <?php selected( get_option("WRSP_loc_type"), 31); ?>><?php echo __("Sports Activity Location (GYM etc.)","WRSP-lang") ?></option>
								<option value="1" <?php selected( get_option("WRSP_loc_type"), 1); ?>><?php echo __("Store","WRSP-lang") ?></option>
								<option value="32" <?php selected( get_option("WRSP_loc_type"), 32); ?>><?php echo __("Television Station","WRSP-lang") ?></option>
								<option value="33" <?php selected( get_option("WRSP_loc_type"), 33); ?>><?php echo __("Tourist Information Center","WRSP-lang") ?></option>
								<option value="11" <?php selected( get_option("WRSP_loc_type"), 11); ?>><?php echo __("Travel Agency","WRSP-lang") ?></option>
							</select>
							</label>
								<p><?php echo __("Please select the type of your business.","WRSP-lang") ?></p>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_img"><?php echo __("Business Image","WRSP-lang") ?></label></th>
							<td>
							<input name="WRSP_loc_img" id="WRSP_loc_img" type="text" value="<?php echo get_option("WRSP_loc_img"); ?>" class="regular-text" />
							<input id="upload_image_button" class="button" type="button" value="<?php echo __('Upload Image', 'WRSP-lang'); ?>" />
							<p><?php echo __("Please enter your business's image URL.","WRSP-lang") ?></p>
							</td>
						</tr>						
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_pho"><?php echo __("Business Phone","WRSP-lang") ?></label></th>
							<td>
							<input name="WRSP_loc_pho" id="WRSP_loc_pho" type="text" value="<?php echo get_option("WRSP_loc_pho"); ?>" class="regular-text" />
							<p><?php echo __("Please enter your business's phone number. Example: +1 123 456 1212","WRSP-lang") ?></p>
							</td>
						</tr>						
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_pric"><?php echo __("Price Range","WRSP-lang") ?></label></th>
							<td>
							<input name="WRSP_loc_pric" id="WRSP_loc_pric" type="text" value="<?php echo get_option("WRSP_loc_pric"); ?>" class="regular-text" />
							<p><?php echo __("Specify as many currency symbols as there are digits in the price. So for prices from 100 to 999, you would use $$$; for prices from 10 to 99, you would use $$ etc.","WRSP-lang") ?></p>
							</td>
						</tr>						
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_st"><?php echo __("Business Adress","WRSP-lang") ?></label></th>
							<td>
							<input name="WRSP_loc_st" id="WRSP_loc_st" type="text" value="<?php echo get_option("WRSP_loc_st"); ?>" class="regular-text" />
							<p><?php echo __("Street Adress - Example: 148 W 51st St.","WRSP-lang") ?></p>
							</td>
						</tr>						
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_ct"></label></th>
							<td>
							<input name="WRSP_loc_ct" id="WRSP_loc_ct" type="text" value="<?php echo get_option("WRSP_loc_ct"); ?>" class="regular-text" />
							<p><?php echo __("City - Example: New York","WRSP-lang") ?></p>
							</td>
						</tr>						
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_rg"></label></th>
							<td>
							<input name="WRSP_loc_rg" id="WRSP_loc_rg" type="text" value="<?php echo get_option("WRSP_loc_rg"); ?>" class="regular-text" />
							<p><?php echo __("City Region - Example: NY","WRSP-lang") ?></p>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_pc"></label></th>
							<td>
							<input name="WRSP_loc_pc" id="WRSP_loc_pc" type="text" value="<?php echo get_option("WRSP_loc_pc"); ?>" class="regular-text" />
							<p><?php echo __("Postal Code - Example: 10019","WRSP-lang") ?></p>
							</td>
						</tr>						
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_cc"></label></th>
							<td>
							<input name="WRSP_loc_cc" id="WRSP_loc_cc" type="text" value="<?php echo get_option("WRSP_loc_cc"); ?>" class="regular-text" />
							<p><?php echo __("Country Code - Example: US (for United States)","WRSP-lang") ?></p>
							</td>
						</tr>						
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_la"><?php echo __("Business Geo-Location *optional*","WRSP-lang") ?></label></th>
							<td>
							<input name="WRSP_loc_la" id="WRSP_loc_la" type="text" value="<?php echo get_option("WRSP_loc_la"); ?>" class="regular-text" />
							<p><?php echo __("Geo Latitude - Example: 40.761293","WRSP-lang") ?></p>
							</td>
						</tr>			
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_lo"></label></th>
							<td>
							<input name="WRSP_loc_lo" id="WRSP_loc_lo" type="text" value="<?php echo get_option("WRSP_loc_lo"); ?>" class="regular-text" />
							<p><?php echo __("Geo Longitude - Example: -73.982294","WRSP-lang") ?></p>
							</td>
						</tr>						
						
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_op"><?php echo __("Business Opening Hours *optional*","WRSP-lang") ?></label></th>
							<td>
							<input name="WRSP_loc_op" id="WRSP_loc_op" type="text" value="<?php echo get_option("WRSP_loc_op"); ?>" class="regular-text" />
							<p><?php echo __("Opens - Example: 09:20","WRSP-lang") ?></p>
							</td>
						</tr>			
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_opc"></label></th>
							<td>
							<input name="WRSP_loc_opc" id="WRSP_loc_opc" type="text" value="<?php echo get_option("WRSP_loc_opc"); ?>" class="regular-text" />
							<p><?php echo __("Closes - Example: 23:20","WRSP-lang") ?></p>
							</td>
						</tr>						
						
						<tr valign="top">
							<th scope="row"></th>
							<td>
							<input name="WRSP_loc_opw" id="WRSP_loc_opw" type="text" value="<?php echo get_option("WRSP_loc_opw"); ?>" class="regular-text" />
							<p><?php echo __("Opens (Weekends) - Example: 07:20","WRSP-lang") ?></p>
							</td>
						</tr>			
						<tr valign="top">
							<th scope="row"><label for="WRSP_loc_opcw"></label></th>
							<td>
							<input name="WRSP_loc_opcw" id="WRSP_loc_opcw" type="text" value="<?php echo get_option("WRSP_loc_opcw"); ?>" class="regular-text" />
							<p><?php echo __("Closes (Weekends) - Example: 20:10","WRSP-lang") ?></p>
							</td>
						</tr>
				
						</table>
						<?php submit_button(); ?>
					</div>
				</div>
			<div class="postbox" style="width: 32.8%;height:auto;float:right;margin-right:0;">
			<div class="inside">
			<p class="wrsrToggleClick" style="color:#0064ff;cursor:pointer;font-size:22px;font-weight:bold"><i class="dashicons dashicons-admin-generic" style=" font-size: 25px; margin-right: 5px; margin-top: 5px; "></i> <u><?php echo __('Help', 'WRSP-lang'); ?></u></p>
			</div>
			<div style="display:none;" class="inside wrsrToggleSection">
			<table class="form-table">
			<img style="width: 50%; height:auto;"src="<?php echo WRSP_URL.'/admin/assets/img/local-business02.png'; ?>"/>
			<img style="width: 50%; height:auto;"src="<?php echo WRSP_URL.'/admin/assets/img/local-business01.png'; ?>"/>
			<h3 style="margin-top:30px"><span><?php echo __("Local Business","WRSP-lang") ?></span></h3>
			
			<p style="font-size:13px"><?php echo __("When users search for businesses on Google Search or Maps, Search results may display a prominent Knowledge Graph card with details about a business that matched the query. When users query for a type of business, such as a restaurant, they may see a carousel of listings hosted by restaurant listing providers.","WRSP-lang") ?></p><a target="_blank" href="https://developers.google.com/search/docs/data-types/local-business">More...</a>
			</table>
			<div style="display:inline-block; margin-top:40px;">
		  
				<div class="contentDoYouLike">
				  <p><?php echo __("How would you rate <strong>this plugin</strong>?", "WRSP-lang") ?></p>
				</div>

				<div class="wrapperDoYouLike">
				  <input type="checkbox" id="st1" value="1" />
				  <label for="st1"></label>
				  <input type="checkbox" id="st2" value="2" />
				  <label for="st2"></label>
				  <input type="checkbox" id="st3" value="3" />
				  <label for="st3"></label>
				  <input type="checkbox" id="st4" value="4" />
				  <label for="st4"></label>
				  <input type="checkbox" id="st5" value="5" />
				  <label for="st5"></label>
				</div>					
				
				<a target="_blank" href="https://codecanyon.net/item/woocommerce-rich-snippets-schema-markup-plugin/reviews/21810280" class="sabutton button button-primary" style="margin: -5px 0 0 10px;"><?php echo __("Rate this plugin!", "dadb-plugin") ?></a>
			</div>
			</div>
			</div>
			<?php } else { ?>
			<div id="whiteboxH" style="width:100%" class="postbox">
			<div class="inside">
			<table class="form-table">
				<p><?php echo __("Please activate 'Local Business Snippets Feature' on Dashboard.","WRSP-lang") ?></p>
			</table>
			</div>
			</div>
			<?php } ?>
			</form>
	  
	
</div>
</div>
	<script>
    jQuery(document).ready(function($){


    var custom_uploader;


    $('#upload_image_button').click(function(e) {

        e.preventDefault();

        if (custom_uploader) {
            custom_uploader.open();
            return;
        }

        custom_uploader = wp.media.frames.file_frame = wp.media({
            title: '<?php echo __("Choose Image","WRSP-lang"); ?>',
            button: {
                text: '<?php echo __("Choose Image","WRSP-lang"); ?>'
            },
            multiple: true
        });

        custom_uploader.on('select', function() {
            console.log(custom_uploader.state().get('selection').toJSON());
            attachment = custom_uploader.state().get('selection').first().toJSON();
            $('#WRSP_loc_img').val(attachment.url);
        });

        //Open the uploader dialog
        custom_uploader.open();

    });


});
    </script>
    <?php
	wp_enqueue_media();
	wp_enqueue_script("jquery");
}

add_action("admin_init","WRSP_Local_Reg");
function WRSP_Local_Reg() {
	
	register_setting("WRSP_local_settings","WRSP_loc_type");
	register_setting("WRSP_local_settings","WRSP_loc_img");
	register_setting("WRSP_local_settings","WRSP_loc_pho");
	register_setting("WRSP_local_settings","WRSP_loc_pric");
	register_setting("WRSP_local_settings","WRSP_loc_st");
	register_setting("WRSP_local_settings","WRSP_loc_ct");
	register_setting("WRSP_local_settings","WRSP_loc_rg");
	register_setting("WRSP_local_settings","WRSP_loc_pc");
	register_setting("WRSP_local_settings","WRSP_loc_cc");
	register_setting("WRSP_local_settings","WRSP_loc_la");
	register_setting("WRSP_local_settings","WRSP_loc_lo");
	register_setting("WRSP_local_settings","WRSP_loc_op");
	register_setting("WRSP_local_settings","WRSP_loc_opw");
	register_setting("WRSP_local_settings","WRSP_loc_opc");
	register_setting("WRSP_local_settings","WRSP_loc_opcw");
}