<?php
if ( !function_exists( 'add_action' ) ) {
    echo 'Code is poetry.';
    exit;
}



function WRSP_options_org() {

    ?>
	<div class="wrprojectStyle">
    <div class="wrap projectStyle">
	<h2><?php echo __("Organization Settings","WRSP-lang") ?></h2>
	<form action="options.php" method="post" style="margin-top:50px">
        <?php settings_fields("WRSP_org_settings") ?>
			
			<?php if( get_option("WRSP_check_organization")  == 1 ) { ?>
			<div id="whiteboxH" class="postbox" style="width:64%">
			<div class="inside">
			<table class="form-table">
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_name"><?php echo __("Organization Name","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_name" id="WRSP_org_name" type="text" value="<?php echo get_option("WRSP_org_name"); ?>" class="regular-text" />
				<p><?php echo __("John's Barber Shop.","WRSP-lang") ?></p>
				</td>
			</tr>				
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_logo"><?php echo __("Organization Logo","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_logo" id="WRSP_org_logo" type="text" value="<?php echo get_option("WRSP_org_logo"); ?>" class="regular-text" />
				<input id="upload_image_button" class="button" type="button" value="<?php echo __('Upload Image', 'WRSP-lang'); ?>" />
				<p><?php echo __("Please enter the website's logo URL.","WRSP-lang") ?></p>
				</td>
			</tr>				
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_found"><?php echo __("Organization Founding Date","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_found" id="WRSP_org_found" type="text" value="<?php echo get_option("WRSP_org_found"); ?>" class="regular-text" />
				<p><?php echo __("Example: 2004","WRSP-lang") ?></p>
				</td>
			</tr>				
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_phone"><?php echo __("Organization Phone","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_phone" id="WRSP_org_phone" type="text" value="<?php echo get_option("WRSP_org_phone"); ?>" class="regular-text" />
				<p><?php echo __("Example: +1 234 567 8910","WRSP-lang") ?></p>
				</td>
			</tr>				
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_email"><?php echo __("Organization Email","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_email" id="WRSP_org_email" type="text" value="<?php echo get_option("WRSP_org_email"); ?>" class="regular-text" />
				<p><?php echo __("Example: info@example.com","WRSP-lang") ?></p>
				</td>
			</tr>
			
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_face"><?php echo __("Organization Facebook Adress","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_face" id="WRSP_org_face" type="text" value="<?php echo get_option("WRSP_org_face"); ?>" class="regular-text" />
				<p><?php echo __("Enter Facebook page URL.","WRSP-lang") ?></p>
				</td>
			</tr>				
			
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_twit"><?php echo __("Organization Twitter Adress","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_twit" id="WRSP_org_twit" type="text" value="<?php echo get_option("WRSP_org_twit"); ?>" class="regular-text" />
				<p><?php echo __("Enter Twitter page URL.","WRSP-lang") ?></p>
				</td>
			</tr>				
			
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_tumblr"><?php echo __("Organization Tumblr Adress","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_tumblr" id="WRSP_org_tumblr" type="text" value="<?php echo get_option("WRSP_org_tumblr"); ?>" class="regular-text" />
				<p><?php echo __("Enter Tumblr page URL.","WRSP-lang") ?></p>
				</td>
			</tr>				
			
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_pint"><?php echo __("Organization Pinterest Adress","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_pint" id="WRSP_org_pint" type="text" value="<?php echo get_option("WRSP_org_pint"); ?>" class="regular-text" />
				<p><?php echo __("Enter Pinterest page URL.","WRSP-lang") ?></p>
				</td>
			</tr>				
			
			<tr valign="top">
				<th scope="row"><label for="WRSP_org_insta"><?php echo __("Organization Instagram Adress","WRSP-lang") ?></label></th>
				<td>
				<input name="WRSP_org_insta" id="WRSP_org_insta" type="text" value="<?php echo get_option("WRSP_org_insta"); ?>" class="regular-text" />
				<p><?php echo __("Enter Instagram URL.","WRSP-lang") ?></p>
				</td>
			</tr>
			
		</table>
		
		<?php submit_button(); ?>
		 
		 </div>
		 </div>
		<div class="postbox" style="width: 32.8%;height:auto;float:right;">
			<div class="inside">
			<p class="wrsrToggleClick" style="color:#0064ff;cursor:pointer;font-size:22px;font-weight:bold"><i class="dashicons dashicons-admin-generic" style=" font-size: 25px; margin-right: 5px; margin-top: 5px; "></i> <u><?php echo __('Help', 'WRSP-lang'); ?></u></p>
			</div>
			<div style="display:none;" class="inside wrsrToggleSection">
			<table class="form-table">
			<img style="width: 100%; height:auto;"src="<?php echo WRSP_URL.'/admin/assets/img/enhance-site02-contacts.png'; ?>"/>
			<h3 style="margin-top:30px"><span><?php echo __("Organization Markup","WRSP-lang") ?></span></h3>
			
			<p style='font-size:13px'><?php echo __("You can enhance the appearance and coverage of your official website and presence in Search results by first establishing it with Google. By adding structured data markup to your site, you can enable more of your site's functional and visual elements to appear directly in results and in Knowledge Graph cards. This makes it easier for users to recognize your official site and reach information you provide more easily when they search.","WRSP-lang") ?></p>

			<p style='font-size:13px'><?php echo __("This document covers the following site attributes you can enable for search results:","WRSP-lang") ?></p>
			<p style='font-size:13px'><li><?php echo __("Business details like physical location and contact information","WRSP-lang") ?></li><li><?php echo __("Marketing details like your official name, logo, and social profile info","WRSP-lang") ?></li></p><p style='font-size:13px'><?php echo __("To do this, add schema.org Organization markup to your official website.","WRSP-lang") ?></p><a target="_blank" href="https://developers.google.com/search/docs/guides/enhance-site">More...</a>
			</table>
			
			<div style="display:inline-block; margin-top:40px;">
		  
				<div class="contentDoYouLike">
				  <p><?php echo __("How would you rate <strong>this plugin</strong>?", "WRSP-lang") ?></p>
				</div>

				<div class="wrapperDoYouLike">
				  <input type="checkbox" id="st1" value="1" />
				  <label for="st1"></label>
				  <input type="checkbox" id="st2" value="2" />
				  <label for="st2"></label>
				  <input type="checkbox" id="st3" value="3" />
				  <label for="st3"></label>
				  <input type="checkbox" id="st4" value="4" />
				  <label for="st4"></label>
				  <input type="checkbox" id="st5" value="5" />
				  <label for="st5"></label>
				</div>					
				
				<a target="_blank" href="https://codecanyon.net/item/woocommerce-rich-snippets-schema-markup-plugin/reviews/21810280" class="sabutton button button-primary" style="margin: -5px 0 0 10px;"><?php echo __("Rate this plugin!", "dadb-plugin") ?></a>
			</div>
			</div>
		</div>
		 <?php } else { ?>
			<div id="whiteboxH" class="postbox" style="width:100%">
			<div class="inside">
			<table class="form-table">
			<p><?php echo __("Please activate 'Organization Snippets Feature' on Dashboard.","WRSP-lang"); ?></p>
			</table>
			</div>
			</div>
		 <?php } ?>
	</form>
	</div>
	</div>
	<script>
    jQuery(document).ready(function($){


    var custom_uploader;


    $('#upload_image_button').click(function(e) {

        e.preventDefault();

        if (custom_uploader) {
            custom_uploader.open();
            return;
        }

        custom_uploader = wp.media.frames.file_frame = wp.media({
            title: '<?php echo __("Choose Image","WRSP-lang"); ?>',
            button: {
                text: '<?php echo __("Choose Image","WRSP-lang"); ?>'
            },
            multiple: true
        });

        custom_uploader.on('select', function() {
            console.log(custom_uploader.state().get('selection').toJSON());
            attachment = custom_uploader.state().get('selection').first().toJSON();
            $('#WRSP_org_logo').val(attachment.url);
        });

        //Open the uploader dialog
        custom_uploader.open();

    });


});
    </script>
    <?php
	wp_enqueue_media();
	wp_enqueue_script("jquery");
}

add_action("admin_init","WRSP_Org_Reg");
function WRSP_Org_Reg() {
	
	register_setting("WRSP_org_settings","WRSP_org_name");
	register_setting("WRSP_org_settings","WRSP_org_logo");
	register_setting("WRSP_org_settings","WRSP_org_found");
	register_setting("WRSP_org_settings","WRSP_org_phone");
	register_setting("WRSP_org_settings","WRSP_org_email");
	
	register_setting("WRSP_org_settings","WRSP_org_face");
	register_setting("WRSP_org_settings","WRSP_org_twit");
	register_setting("WRSP_org_settings","WRSP_org_tumblr");
	register_setting("WRSP_org_settings","WRSP_org_pint");
	register_setting("WRSP_org_settings","WRSP_org_insta");
}